Bug 620350 (CVE-2010-2792) - CVE-2010-2792 spice-xpi/qspice-client unix socket race
Summary: CVE-2010-2792 spice-xpi/qspice-client unix socket race
Status: NEW
Alias: CVE-2010-2792
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20100825,repor...
Keywords: Security
Depends On: 581969 619069 620444 620447 620471 620473
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 09:41 UTC by Petr Matousek
Modified: 2018-03-05 14:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0632 normal SHIPPED_LIVE Moderate: qspice-client security update 2010-08-25 13:05:42 UTC
Red Hat Product Errata RHSA-2010:0651 normal SHIPPED_LIVE Moderate: spice-xpi security and bug fix update 2010-08-25 12:11:57 UTC

Description Petr Matousek 2010-08-02 09:41:38 UTC
There is a race in spice-xpi when a local attacker is able to create a unix socket with the expected name that is used for parameter passing (password, cert file) between spice-xpi and spice client.

Comment 2 errata-xmlrpc 2010-08-25 12:08:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0632 https://rhn.redhat.com/errata/RHSA-2010-0632.html

Comment 3 errata-xmlrpc 2010-08-25 12:12:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0651 https://rhn.redhat.com/errata/RHSA-2010-0651.html


Note You need to log in before you can comment on or make changes to this bug.